import { ChartsMetadata } from "../global/types";
export interface startSnapshotModeAction {
    charts: ChartsMetadata;
    dataPoints: number;
}
export declare const startSnapshotModeAction: import("redux-act").SimpleActionCreator<startSnapshotModeAction, {}>;
export declare const stopSnapshotModeAction: import("redux-act").EmptyActionCreator;
export interface ShowSignInModalAction {
    signInLinkHref: string;
}
export declare const showSignInModalAction: import("redux-act").SimpleActionCreator<ShowSignInModalAction, {}>;
export declare const explicitlySignInAction: import("redux-act").EmptyActionCreator;
